# Uses of Enum Class
org.apache.sysds.parser.Statement.FederatedPSScheme

Packages that use Statement.FederatedPSScheme
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.paramserv.dp

## Uses of Statement.FederatedPSScheme in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Statement.FederatedPSScheme
Modifier and Type
Method
Description
`static Statement.FederatedPSScheme`
Statement.FederatedPSScheme.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.FederatedPSScheme[]`
Statement.FederatedPSScheme.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Statement.FederatedPSScheme in org.apache.sysds.runtime.controlprogram.paramserv.dp

Constructors in org.apache.sysds.runtime.controlprogram.paramserv.dp with parameters of type Statement.FederatedPSScheme
Modifier
Constructor
Description
``
`FederatedDataPartitioner(Statement.FederatedPSScheme scheme, int seed)`